VirtuousAI
Reference

Bundles

List Bundles

GET
/api/v1/bundles

Query Parameters

limit?integer
Default50
Range1 <= value <= 100
offset?integer
Default0
Range0 <= value

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/bundles"
{
  "bundles": [
    {
      "description": "string",
      "displayName": "string",
      "iconUrl": "string",
      "id": "string",
      "inputJsonSchema": {},
      "slug": "string",
      "version": 0
    }
  ],
  "limit": 0,
  "offset": 0,
  "total": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Install Bundle

POST
/api/v1/bundles/{slug}/install

Path Parameters

slug*string

Query Parameters

version?|

Specific bundle version

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

inputs?

Input values for the bundle (matches input_json_schema)

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/bundles/string/install" \  -H "Content-Type: application/json" \  -d '{}'
{
  "bundleSlug": "string",
  "bundleTemplateId": "string",
  "bundleVersion": 0,
  "components": [
    {
      "entityId": "string",
      "entityName": "string",
      "entityType": "string",
      "key": "string",
      "type": "string"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}